Skip to main content
`Ctrl`+`K`

# PCCompositeAddPC

Adds another `PC` to the composite `PC`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeAddPC(PC pc, PC subpc)

Collective

## Input Parameters

- pc - the preconditioner context

- subpc - the new preconditioner

## See Also

KSP: Linear System Solvers, `PCCOMPOSITE`, `PCCompositeAddPCType()`, `PCCompositeGetNumberPC()`

## Level

intermediate

## Location

src/ksp/pc/impls/composite/composite.c

## Implementations

PCCompositeAddPC_Composite() in src/ksp/pc/impls/composite/composite.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages